// Copyright 2013 Canonical Ltd.  This software is licensed under the
// GNU Lesser General Public License version 3 (see the file COPYING).

package gwacl

import (
    . "launchpad.net/gocheck"
)

type CredsSuite struct{}

var _ = Suite(&CredsSuite{})

func (suite *CredsSuite) TestCreds(c *C) {
    // How do I make a random string with gocheck?
    creds := Creds{user: "user", key: "key"}
    user := creds.User()
    key := creds.Key()
    c.Check(user, Equals, "user")
    c.Check(key, Equals, "key")
}
